<body>
    <div class="container">
        <div class="table-wrapper">
            <div class="table-title">
                <div class="row">
                    <div class="col-sm-6">
                        <h2>จัดการ <b>บัญชีช่าง</b></h2>
                    </div>
                    <div class="col-sm-6">
                            <a class="btn btn-success" type="button" (click)="showRegistertechnician()">
                                <span class="material-icons">
                                    person_add
                                </span></a>

                    </div>
                </div>
            </div>
            <table class="table table-striped table-hover">
                <thead>
                    <tr>
                        <th>

                        </th>
                        <th>ชื่อนำหน้า</th>
                        <th>นามสกุล</th>
                        <th>อีเมล์</th>
                        <th>สถานะ</th>
                        <th></th>
                        <th>จัดการ</th>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let Users of UserList">
                        <!-- <span class="custom-checkbox">
                                <input type="checkbox" id="checkbox1" name="options[]" value="1">
                                <label for="checkbox1"></label>
                            </span> -->
                        <span type="button" (click)="showDetail(Users.id)" class="material-icons">
                            info
                        </span>
                        <td>{{Users.firstname}}</td>
                        <td>{{Users.lastname}}</td>
                        <td>{{Users.email}}</td>
                        <td>{{Users.role}}</td>
                        <td>{{Users.Last_login | date: 'dd/MMM/yy h:mm:ss a'}}</td>


                        <td>

                            <span type="button" (click)="showEdit(Users.id)" class="material-icons">
                                edit
                            </span>
                            <span type="button" (click)="showDelete(Users.id,Users.numroom,Users.lastname)" class="material-icons"
                                style="color: red;">
                                person_remove
                            </span>

                        </td>
                    </tr>

                </tbody>
            </table>
            <div class="clearfix">
                <div class="hint-text">โชว์ <b>{{UserList.length}}</b> ของ <b>{{UserList.length}}</b> ทั้งหมด</div>
                <!-- <ul class="pagination">
                    <li class="page-item disabled"><a href="#">Previous</a></li>
                    <li class="page-item"><a href="#" class="page-link">1</a></li>
                    <li class="page-item"><a href="#" class="page-link">2</a></li>
                    <li class="page-item active"><a href="#" class="page-link">3</a></li>
                    <li class="page-item"><a href="#" class="page-link">4</a></li>
                    <li class="page-item"><a href="#" class="page-link">5</a></li>
                    <li class="page-item"><a href="#" class="page-link">Next</a></li>
                </ul> -->
            </div>
        </div>
    </div>

</body>
<p-dialog header="- รายละเอียด -" icon="pi pi-user" [(visible)]="displayshowdetail" [modal]="true"
    [style]="{width: '25vw'}" [draggable]="false" [resizable]="false">
    <br>
    <br>
    <div class="container">



        <span class="p-float-label">
            <input id="float-input" type="text" pInputText [(ngModel)]="UsershowEmail" readonly>
            <label for="float-input">อีเมล์</label>
        </span>
        <br>
        <br>
        <span class="p-float-label">
            <input id="float-input" type="text" pInputText [(ngModel)]="UsershowFname" readonly>
            <label for="float-input">ชื่อนำหน้า</label>
        </span>
        <br>
        <br>
        <span class="p-float-label">
            <input id="float-input" type="text" pInputText [(ngModel)]="UsershowLname" readonly>
            <label for="float-input">นามสกุล</label>
        </span>
        <br>
        <br>
        <span class="p-float-label">
            <input id="float-input" type="text" pInputText [(ngModel)]="UsershowGender" readonly>
            <label for="float-input">เพศ</label>
        </span>
        <br>
        <br>
        <span class="p-float-label">
            <input id="float-input" type="text" pInputText [(ngModel)]="UsershowBday" readonly>
            <label for="float-input">วัน/เดือน/ปี เกิด</label>
        </span>
        <br>
        <br>
        <span class="p-float-label">
            <input id="float-input" type="text" pInputText [(ngModel)]="UsershowPhone" readonly>
            <label for="float-input">เบอร์โทรติดต่อ</label>
        </span>
        <br>
        <br>
        <span class="p-float-label" readonly>
            <p-password id="float-input" [(ngModel)]="UsershowPassword" [toggleMask]="true"></p-password>
            <label for="float-input">รหัสผ่าน</label>
        </span>
    </div>

</p-dialog>


<p-dialog header="- แก้ไข -" icon="pi pi-user" [(visible)]="displayshowEdit" [modal]="true" [style]="{width: '18vw'}"
    [draggable]="false" [resizable]="false">

    <div class="container">
        <br>
        <br>
        <span class="p-float-label">
            <input id="float-input" type="text" pInputText [(ngModel)]="inputEditEmail">
            <label for="float-input">อีเมล์</label>
        </span>
        <br>
        <br>
        <span class="p-float-label">
            <p-password id="float-input" [(ngModel)]="inputEditPassword" [toggleMask]="true"></p-password>
            <label for="float-input">รหัสผ่าน</label>
        </span>
        <br>
        <br>
        <span class="p-float-label">
            <input id="float-input" type="text" pInputText [(ngModel)]="inputEditpersonalID">
            <label for="float-input">เลขบัตรประชาชน</label>
        </span>
        <br>
        <br>
        <span class="p-float-label">
            <input id="float-input" type="text" pInputText [(ngModel)]="inputEditFname">
            <label for="float-input">ชื่อนำหน้า</label>
        </span>
        <br>
        <br>
        <span class="p-float-label">
            <input id="float-input" type="text" pInputText [(ngModel)]="inputEditLname">
            <label for="float-input">นามสกุล</label>
        </span>
        <br>
        <div class="login">
            <p-button id="btnlogin" (onClick)="EditUser()" label="แก้ไข"></p-button>
        </div>
    </div>

</p-dialog>

<p-dialog header="- เพิ่มช่างซ่อมใหม่ -" icon="pi pi-user" [(visible)]="displayshowRegistertechnician" [modal]="true"
    [style]="{width: '24vw'}" [draggable]="false" [resizable]="false">
    <br>
    <div class="container">
        <span class="p-float-label">
            <input id="float-input" type="text" pInputText [(ngModel)]="inputRegisterID">
            <label for="float-input">บัญชีผู้ใช้งาน</label>
        </span>
        <br>
        <br>

        <span class="p-float-label">
            <p-password id="float-input" [(ngModel)]="inputRegisterPassword" [toggleMask]="false"></p-password>
            <label for="float-input">รหัสผ่าน</label>
        </span>
        <br>
        <br>
        <span class="p-float-label">
            <input id="float-input" type="text" pInputText [(ngModel)]="inputRegisterEmail">
            <label for="float-input">อีเมล์</label>
        </span>
        <br>
        <br>
        <span class="p-float-label">
            <input id="float-input" type="text" pInputText [(ngModel)]="inputRegisterFname">
            <label for="float-input">ชื่อนำหน้า</label>
        </span>
        <br>
        <br>
        <span class="p-float-label">
            <input id="float-input" type="text" pInputText [(ngModel)]="inputRegisterLname">
            <label for="float-input">นามสกุล</label>
        </span>
        <br>
        <br>
        <span class="p-float-label">
            <input id="float-input" type="text" pInputText [(ngModel)]="inputRegisterpersonalID">
            <label for="float-input">เลขบัตรประชาชน</label>
        </span>


        <br>
        <br>
        <span class="p-float-label">
            <p-dropdown [options]="gender" [(ngModel)]="selectedGender" placeholder="เพศ" optionLabel="gender"
                [showClear]="true"></p-dropdown>
        </span>
        <br>
        <br>
        <span class="p-float-label">
            <input id="float-input" type="text" pInputText [(ngModel)]="inputRegisterPhone">
            <label for="float-input">เบอร์โทรติดต่อ</label>
        </span>
        <br>
        <br>



        <p-button id="btnRegister" (onClick)="Registertechnician()" label="เพิ่มผู้ใช้งาน"></p-button>
    </div>

</p-dialog>
<p-dialog header="- ลบบัญชีผู้ใช้{{nametechnician}} -" icon="pi pi-user" [(visible)]="displayshowDelete" [modal]="true"
    [style]="{width: '16vw'}" [draggable]="false" [resizable]="false">
    <br>
    <div class="container">
        <h2>คุณแน่ใจที่จะลบหรือไม่?</h2>
        <p-button id="btnRegister" (onClick)="DeleteUser()" label="ลบ"></p-button>
    </div>

</p-dialog>